#include <stdio.h>
#include <stdlib.h>
#include <ogcsys.h>
#include <string.h> //for parsing parameters

#include "nand.h"
#include "menu.h"
#include "video.h"
#include "wpad.h"

int main(int argc, char **argv){
	int mode=-1, ios=249;

	// Parse parameters
	if(argc>1){
		int i;
		for(i=1; i<argc; i++){
			if(strncmp("--ios=", argv[i], 6)==0){
				ios=atoi(strchr(argv[i], '=')+1);
			}else if(strncmp("--auto=SD", argv[i], 9)==0){
				mode=EMU_SD;
			}else if(strncmp("--auto=USB", argv[i], 10)==0){
				mode=EMU_USB;
			}
		}
	}

	// Load Custom IOS
	IOS_ReloadIOS(ios);

	// Initialize system
	Video_Init();
	Wpad_Init();

	// Initialize console if DEBUG_MODE
	#ifdef DEBUG_MODE
	printf("Mighty Channels TEST\n");	
	#endif

	// Menu loop
	Menu_Loop(ios, mode);

	exit(0);
}
